Skip to main content
GET
/
v2
/
ramp
/
{subaccountId}
/
banking
/
onramp
Get All Onramps
curl --request GET \
  --url https://api.bullring.finance/v2/ramp/{subaccountId}/banking/onramp/ \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "28ec3842-88d3-44d8-ac25-fce61c2e6fc0",
      "status": "pending",
      "type": "onramp",
      "created_at": "2026-01-30T13:39:27.348Z",
      "account_id": "bb9bb7f8-53a1-4d2b-9d44-972462772789",
      "client_onramp_reference": "5a26b319-fc68-4ee2-83f2-198895716135",
      "from": {
        "amount": "94.42",
        "currency": "BRL"
      },
      "to": {
        "asset": "USDC",
        "gross_amount": "95.46",
        "net_amount": "94.42",
        "address": "2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9"
      },
      "pricing": {
        "fx_rate": "0.19092881",
        "fees": {
          "onramp_fee": "1.5",
          "onramp_fee_currency": "brl",
          "network_fee": "0.75",
          "network_fee_asset": "USDC",
          "total_fees": "5.43",
          "total_fees_currency": "brl"
        }
      },
      "settlement": {
        "collection_id": "e4a38b63-2b06-40bb-8b62-cb415e8994aa"
      }
    },
    {
      "id": "0a90865e-5f9f-4ac7-9498-ad7e6a99d224",
      "status": "completed",
      "type": "onramp",
      "created_at": "2026-01-30T13:17:13.200Z",
      "account_id": "bb9bb7f8-53a1-4d2b-9d44-972462772789",
      "client_onramp_reference": "5a26b319-fc68-4ee2-83f2-198895716134",
      "from": {
        "amount": "94.42",
        "currency": "BRL"
      },
      "to": {
        "asset": "USDC",
        "gross_amount": "95.46",
        "net_amount": "94.42",
        "address": "2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9"
      },
      "pricing": {
        "fx_rate": "0.19092881",
        "fees": {
          "onramp_fee": "1.5",
          "onramp_fee_currency": "brl",
          "network_fee": "0.75",
          "network_fee_asset": "USDC",
          "total_fees": "5.43",
          "total_fees_currency": "brl"
        }
      },
      "settlement": {
        "collection_id": "92773c5a-c8c1-4975-ac85-fa710d41173b"
      }
    }
  ],
  "count": 2,
  "page": 1,
  "limit": 20,
  "totalPages": 1
}

Authorizations

x-api-key
string
header
required

Path Parameters

subaccountId
string
required

Query Parameters

page
integer
default:1

Page number for pagination

limit
integer
default:10

Number of items per page

Response

200 - application/json

Successful response

data
object[]
count
integer
page
integer
limit
integer
totalPages
integer